# Click Plugin

This unofficial TaleSpire mod for subscription based detection of selected and clicked minis. 

## Change Log

```
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install.

## Usage

This is a dependency plugin so it is not used by the user directly. Plugin that make use of this plugin can subscribe
to obtain select mini and clicked mini events.

To subscribe:
```
Subscribe(callback);
```
or
```
Guid subscriptionId = Subscribe(callback);
```
If it is desirable to be able to unsubscribe.

To unsubscribe:
```
Unsubscribe(subscriptionId);
```

The callback takes no parameetrs but the last selected and last clicked mini can be obtained with:
```
GetLastSelectedAsset
```
and
```
GetLastClickedAsset
```

The difference between selected and clicked is that selected only updates if the user has ownership of the clicked mini
(or is GM). Clicked on the other hand updates regardless of ownership. That means clicked will always update when a new
mini is clicked by selected may or may not updated depending on ownership.
